# Status

## List

> Retrieve the status information of one or multiple applications, from different session sources such as RD Session Host and VDI.

```json
{"openapi":"3.0.1","info":{"title":"Parallels RAS - REST API v1.0","version":"1.0"},"paths":{"/api/PubItems/status":{"get":{"tags":["3-Publishing//Status"],"summary":"List","description":"Retrieve the status information of one or multiple applications, from different session sources such as RD Session Host and VDI.","operationId":"8c667497-429c-4cb6-8bbe-c1dddef41d07","parameters":[{"name":"Id","in":"query","description":"Site ID from which to retrieve the app status information (optional).","schema":{"type":"integer","format":"int32"}},{"name":"SiteId","in":"query","description":"Site ID from which to retrieve the app status information (optional).","schema":{"type":"integer","format":"int32"}},{"name":"Source","in":"query","description":"Source from which to retrieve the app status information.","schema":{"$ref":"#/components/schemas/RDSessionSource"}},{"name":"SessionHostId","in":"query","description":"The Host ID of the server for which to retrieve the app status information (optional).","schema":{"type":"string"}},{"name":"SessionHostName","in":"query","description":"The name of the server to filter the app status information (optional).","schema":{"type":"string"}},{"name":"State","in":"query","description":"Session State to filter the app status information (optional).","schema":{"$ref":"#/components/schemas/SessionState"}},{"name":"User","in":"query","description":"User to filter the app status information(optional).","schema":{"type":"string"}},{"name":"IP","in":"query","description":"IP Address to filter the app status information (optional).","schema":{"type":"string"}},{"name":"ThemeId","in":"query","description":"The Theme ID for which to retrieve the app status information (optional).","schema":{"type":"integer","format":"int32"}},{"name":"GroupId","in":"query","description":"The RD Session Host Group ID for which to retrieve the app status information (optional).","schema":{"type":"integer","format":"int32"}},{"name":"Session","in":"query","description":"The RD Session ID for which to retrieve the app status information (optional).","schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"Success","content":{"application/json; api-version=1.0":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/PubItemStatus"}}}}},"401":{"description":"Unauthorized","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"404":{"description":"Not Found","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}},"components":{"schemas":{"RDSessionSource":{"enum":[["1 = RDS","2 = VDI","63 = AVD","-1 = All"]],"type":"string","description":"<para type=\"synopsis\">RDP Session Type</para>\r\n<para type=\"description\"></para>","format":"int32"},"SessionState":{"enum":[["0 = Active","1 = Connected","2 = ConnectQuery","3 = Shadow","4 = Disconnected","5 = Idle","6 = Listen","7 = Reset","8 = Down","9 = Init","-1 = All"]],"type":"string","description":"<para type=\"synopsis\">Session State</para>\r\n<para type=\"description\"></para>","format":"int32"},"PubItemStatus":{"type":"object","properties":{"process":{"type":"string","description":"<para type=\"description\">Process name.</para>","nullable":true},"pid":{"type":"integer","description":"<para type=\"description\">Process ID.</para>","format":"int32"},"session":{"type":"integer","description":"<para type=\"description\">RAS session ID.</para>","format":"int32"},"id":{"type":"integer","description":"<para type=\"description\">App/Desktop ID.</para>","format":"int32"},"name":{"type":"string","description":"<para type=\"description\">App/Desktop name.</para>","nullable":true},"executablePath":{"type":"string","description":"<para type=\"description\">Executable application path.</para>","nullable":true},"sessionType":{"$ref":"#/components/schemas/SessionType"},"source":{"$ref":"#/components/schemas/RDSessionSource"},"sessionHostId":{"type":"string","description":"<para type=\"description\">Session Host ID to which a Remote Desktp Session is connected to.</para>","nullable":true},"sessionHostName":{"type":"string","description":"<para type=\"description\">Session Host Name to which a Remote Desktop Session is connected to.</para>","nullable":true},"poolName":{"type":"string","description":"<para type=\"description\">Group/Pool Name.</para>","nullable":true},"user":{"type":"string","description":"<para type=\"description\">User which is running the application/desktop.</para>","nullable":true},"parentProcessID":{"type":"integer","description":"<para type=\"description\">ID of the parent process of the published item.</para>","format":"int32"},"vdiDesktopRuntimeId":{"type":"integer","description":"<para type=\"description\">VDI Desktop Runtime ID of the process.</para>","format":"int32"},"ip":{"type":"string","description":"<para type=\"description\">Session server IP.</para>","nullable":true},"themeID":{"type":"integer","description":"<para type=\"description\">Theme ID.</para>","format":"int32"},"sessionState":{"$ref":"#/components/schemas/SessionState"}},"additionalProperties":false,"description":"<para type=\"synopsis\">Status of Published Item</para>\r\n<para type=\"description\"></para>"},"SessionType":{"enum":[["0 = Desktop","1 = PublishedApps","2 = Application","3 = VDI","4 = VDIApp","5 = PC","6 = PCApp","7 = Admin","8 = Unknown","9 = RemoteApps","10 = DirectRDP","-1 = All"]],"type":"string","description":"<para type=\"synopsis\">Session Type</para>\r\n<para type=\"description\"></para>","format":"int32"},"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}}}
```

## Get

> Retrieve the published item status information.

```json
{"openapi":"3.0.1","info":{"title":"Parallels RAS - REST API v1.0","version":"1.0"},"paths":{"/api/PubItems/{id}/status":{"get":{"tags":["3-Publishing//Status"],"summary":"Get","description":"Retrieve the published item status information.","operationId":"509f0e93-eccf-45dd-af4a-f035ce06f592","parameters":[{"name":"id","in":"path","description":"Pub Item ID","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"Success","content":{"application/json; api-version=1.0":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/PubItemStatus"}}}}},"401":{"description":"Unauthorized","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"404":{"description":"Not Found","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}},"components":{"schemas":{"PubItemStatus":{"type":"object","properties":{"process":{"type":"string","description":"<para type=\"description\">Process name.</para>","nullable":true},"pid":{"type":"integer","description":"<para type=\"description\">Process ID.</para>","format":"int32"},"session":{"type":"integer","description":"<para type=\"description\">RAS session ID.</para>","format":"int32"},"id":{"type":"integer","description":"<para type=\"description\">App/Desktop ID.</para>","format":"int32"},"name":{"type":"string","description":"<para type=\"description\">App/Desktop name.</para>","nullable":true},"executablePath":{"type":"string","description":"<para type=\"description\">Executable application path.</para>","nullable":true},"sessionType":{"$ref":"#/components/schemas/SessionType"},"source":{"$ref":"#/components/schemas/RDSessionSource"},"sessionHostId":{"type":"string","description":"<para type=\"description\">Session Host ID to which a Remote Desktp Session is connected to.</para>","nullable":true},"sessionHostName":{"type":"string","description":"<para type=\"description\">Session Host Name to which a Remote Desktop Session is connected to.</para>","nullable":true},"poolName":{"type":"string","description":"<para type=\"description\">Group/Pool Name.</para>","nullable":true},"user":{"type":"string","description":"<para type=\"description\">User which is running the application/desktop.</para>","nullable":true},"parentProcessID":{"type":"integer","description":"<para type=\"description\">ID of the parent process of the published item.</para>","format":"int32"},"vdiDesktopRuntimeId":{"type":"integer","description":"<para type=\"description\">VDI Desktop Runtime ID of the process.</para>","format":"int32"},"ip":{"type":"string","description":"<para type=\"description\">Session server IP.</para>","nullable":true},"themeID":{"type":"integer","description":"<para type=\"description\">Theme ID.</para>","format":"int32"},"sessionState":{"$ref":"#/components/schemas/SessionState"}},"additionalProperties":false,"description":"<para type=\"synopsis\">Status of Published Item</para>\r\n<para type=\"description\"></para>"},"SessionType":{"enum":[["0 = Desktop","1 = PublishedApps","2 = Application","3 = VDI","4 = VDIApp","5 = PC","6 = PCApp","7 = Admin","8 = Unknown","9 = RemoteApps","10 = DirectRDP","-1 = All"]],"type":"string","description":"<para type=\"synopsis\">Session Type</para>\r\n<para type=\"description\"></para>","format":"int32"},"RDSessionSource":{"enum":[["1 = RDS","2 = VDI","63 = AVD","-1 = All"]],"type":"string","description":"<para type=\"synopsis\">RDP Session Type</para>\r\n<para type=\"description\"></para>","format":"int32"},"SessionState":{"enum":[["0 = Active","1 = Connected","2 = ConnectQuery","3 = Shadow","4 = Disconnected","5 = Idle","6 = Listen","7 = Reset","8 = Down","9 = Init","-1 = All"]],"type":"string","description":"<para type=\"synopsis\">Session State</para>\r\n<para type=\"description\"></para>","format":"int32"},"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.parallels.com/landing/ras-rest-api-guide/api-reference/publishing/status.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
